

import java.io.IOException;

import javax.servlet.Filter;
import javax.servlet.FilterChain;
import javax.servlet.FilterConfig;
import javax.servlet.ServletException;
import javax.servlet.ServletRequest;
import javax.servlet.ServletResponse;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import com.ils.core.util.IlsUtil;

/**
 * @author --FILTER implementing class; Checks the authentication of every
 *         request
 */
public class SecurityFilter implements Filter {

	public void init(FilterConfig config) throws ServletException {
	}

	public void doFilter(ServletRequest request, ServletResponse resp,
			FilterChain chain) throws IOException, ServletException {
		System.out.println("--------SecurityFilter.doFilter()--------");
		boolean redirToLoginPage = false;
		HttpServletRequest httpRequest = (HttpServletRequest) request;
		InputParamDto parameter = null;
		Object user = null;
		try {
			parameter = (InputParamDto) httpRequest.getSession().getAttribute(
					"inputParameter");
		} catch (Exception e) {
			e.printStackTrace();
		}
		if (parameter == null ) {
			redirToLoginPage = true;
		}
		if (httpRequest.getRequestURI().indexOf("login") == -1
				&& redirToLoginPage) {
			HttpServletResponse httpResponse = (HttpServletResponse) resp;
			httpResponse.setContentType("text/plain");
			httpResponse.setStatus(HttpServletResponse.SC_MOVED_TEMPORARILY);
			String redirTo = httpRequest.getScheme() + "://"
					+ httpRequest.getServerName() + ":"
					+ httpRequest.getServerPort()
					+ httpRequest.getContextPath() + "/";
			httpResponse.setHeader("Location", redirTo);
		} else {
			chain.doFilter(request, resp);
		}

	}

	public void destroy() {
	}
}